%define name discwrapper
%define version 1.2.1
%define release %mkrel 1

Summary: DiscWrapper is a cover designer for home-made discs
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:   Graphical desktop/GNOME
URL:     http://discwrapper.sourceforge.net/index.html
Source0: %{name}-%{version}.tar.gz
Source1: patch.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:gcc gcc-c++ wxGTK2.8-devel


%description
DiscWrapper is a cover designer for home-made discs.
It was made with Code::Blocks and it uses the wxWidgets library.
It has template covers. Depending on the case there are pages
where you can place labels, images, and directory lists.

%prep
%setup -q -n %{name}-%{version}
bzip2 -cd %SOURCE1 | tar xf - -C ./src

%build
%configure2_5x

%make 

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 %name.png %buildroot/%_liconsdir/%name.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
install -m 644 %name.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 %name.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png


%clean
rm -rf %{buildroot}

%post
%update_menus
%update_mime_database

%postun
%clean_menus
%clean_mime_database

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS AUTHORS TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/%{name}.png
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png


%changelog
* Fri Jun 12 2009 slick50 <lxgator@gmail.com> 1.2.1-1pclos2007
- 1.2.1

* Wed Apr 15 2009 slick50 <lxgator@gmail.com> 1.2.0a-1pclos2007
- 1.2.0a

* Wed Mar 25 2009 slick50 <lxgator@gmail.com> 1.1.5-1pclos2007
- initial pkg

